So I’m trying to split an untrimmed surface with a plane, I created a Plane Srf and use it on the Split Brep. Sometimes this fails and the surfaces doesn’t split which kills everything else down the line.
Is there anything more stable to Split/Trim a surface with a plane?
I tried in python but didn’t had much luck
Rhino.Geometry.Brep.Split(B,C,0.001)
Split fails, returns nothing.
Rhino.Geometry.Surface.Split(
Needs a parameter as a float, but I can’t find any information about parameters and how to get it.
Rhino.Geometry.BrepFace.Split(
which uses a curve to trim, but I can’t convert a surface into a brepface
Rhino.Geometry.Surface.Trim(
How do I get the U V intervals of the plane, and will it work if the plane is not in the direction of the U V of the surface?
Any help would be great.
Thank you